Bug 1607820 - Some audits show 'missing' instead of name
Summary: Some audits show 'missing' instead of name
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Audit Log   
(Show other bugs)
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Jameer Pathan
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 10:59 UTC by Daniel Lobato Garcia
Modified: 2019-04-01 20:27 UTC (History)
6 users (show)

Fixed In Version: foreman-1.18.0.6-1,foreman-1.18.0.29-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-10-16 19:24:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Github theforeman foreman pull 6046 None None None 2018-09-18 17:24 UTC
Foreman Issue Tracker 24298 None None None 2018-07-24 10:59 UTC
Foreman Issue Tracker 24844 None None None 2018-09-07 06:40 UTC

Description Daniel Lobato Garcia 2018-07-24 10:59:29 UTC
To reproduce:

1. Go to a product.
2. In tab "Details", change "Sync plan" to a plan called 'test sync plan'.
3. Go to Audits.

Results: The latest audit says something like "Sync plan changed from N/A to Missing(ID: 1)". If you click on the details, it shows the correct text.
Expected result: "Sync plan changed from N/A to test sync plan"

Comment 1 Daniel Lobato Garcia 2018-07-24 10:59:33 UTC
Created from redmine issue https://projects.theforeman.org/issues/24298

Comment 2 Daniel Lobato Garcia 2018-07-24 10:59:37 UTC
Upstream bug assigned to dlobatog@redhat.com

Comment 4 pm-sat@redhat.com 2018-08-04 20:10:22 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24298 has been resolved.

Comment 6 Jameer Pathan 2018-08-24 12:38:05 UTC
Failed QA:

# rpm -q satellite
satellite-6.4.0-11.beta.el7sat.noarch

steps:

1. Go to a product.
2. In tab "Details", change "Sync plan" to a plan called 'test sync plan'.
3. Go to Audits.

Observation:

For above scenario it shows correct Audits.
"Sync plan changed from N/A to test sync plan"

But for some other entities, audits still shows similar missing instead of name(eg. adding a yum filter to a CV) But if you click on the details, it shows the correct text.

Comment 9 Marek Hulan 2018-09-07 06:40:22 UTC
ok, the fix was incomplete, linking second issue that fixes it

Comment 10 pm-sat@redhat.com 2018-09-07 08:10:09 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 11 pm-sat@redhat.com 2018-09-07 08:10:13 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 13 Patrick Creech 2018-09-19 13:53:48 UTC
Marek,

This failed cherry-pick downstream, can you take a look?

Comment 14 Marek Hulan 2018-09-19 15:45:03 UTC
done

Comment 16 Jameer Pathan 2018-09-24 13:51:09 UTC
Needinfo
@satellite 6.4.0 snap 23

I am still getting missing(ID) for bellow given scenario. 

Steps:
1. Create a content view
2. Add repository to it
3. Go to Audits

you will see "Repository ids changed from [empty] to Missing(ID: <repo_id>)"

If you click on details, it also shows Missing(ID <repo_id>).

I am only getting this for above scenario(adding/removing repo from content view).

should I mark this bug as failed QA or not?

Comment 17 Patrick Creech 2018-09-24 14:41:31 UTC
snap 23, not 63

Comment 18 Marek Hulan 2018-09-24 17:44:28 UTC
Jameer, I'd prefer a separate BZ as this will be something small and much less critical than this existing BZ. Thanks!

Comment 19 Jameer Pathan 2018-09-25 07:40:08 UTC
Verified:

@satellite 6.4.0 snap 23

Observation:
Bug is fixed for most of scenarios except for adding/removing repository to a CV Audits still shows missing.
Filed new low priority bug 1632577 "Audit log show 'missing' for adding/removing repository to a CV" for it.

Comment 20 Bryan Kearney 2018-10-16 19:24:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.